Bug 184386 - Automatically ignore the "bg" mount option
Summary: Automatically ignore the "bg" mount option
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: autofs   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ian Kent
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-08 13:33 UTC by Jeff Moyer
Modified: 2018-11-14 09:50 UTC (History)
2 users (show)

Fixed In Version: autofs-5.0.1-0.rc2.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-06 03:38:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeff Moyer 2006-03-08 13:33:03 UTC
Description of problem:
The bg mount option is definitely not supported when using autofs.  The use of
this option may result in returning to the application that triggered the mount
without having actually done the mount.

Comment 1 Ian Kent 2006-05-16 09:57:40 UTC
(In reply to comment #0)
> Description of problem:
> The bg mount option is definitely not supported when using autofs.  The use of
> this option may result in returning to the application that triggered the mount
> without having actually done the mount.

Added a patch for this and pushed it out.
I'm probably going to need to update the patch as I've just
realized I don't handle the "nofg" option. Ooops.

Ian


Comment 2 Ian Kent 2006-06-16 01:45:03 UTC
Jeff,

I did this some time ago in v5.
Do you think we should do this in FC4 and FC5 or wait till
we have a bug logged against them?

Ian


Comment 3 Jeff Moyer 2006-06-16 13:38:28 UTC
It would be a good precautionary measure to implement this, I think.

Comment 4 Ian Kent 2006-06-16 15:02:27 UTC
(In reply to comment #3)
> It would be a good precautionary measure to implement this, I think.

OK. I'll do it.

Comment 5 Roozbeh Pournader 2006-06-21 12:42:15 UTC
The recent update to autofs (autofs-4.1.4-26) says that it fixes this bug.
Should the bug be closed?

Comment 6 Ian Kent 2006-06-21 14:24:10 UTC
(In reply to comment #5)
> The recent update to autofs (autofs-4.1.4-26) says that it fixes this bug.
> Should the bug be closed?

Ya. I'll get to it.
I almost always leave tickets open for a time in case there's a
further problem.

Sorry for the confision.
Ian

Comment 7 Ian Kent 2006-06-22 01:22:20 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > The recent update to autofs (autofs-4.1.4-26) says that it fixes this bug.
> > Should the bug be closed?
> 
> Ya. I'll get to it.
> I almost always leave tickets open for a time in case there's a
> further problem.
> 

Jeff can you verify that this is fixed.
Any of FC-4, FC-5 or Rawhide should be fine now.




Comment 8 Ian Kent 2006-10-06 03:38:12 UTC
(In reply to comment #7)
> (In reply to comment #6)
> > (In reply to comment #5)
> > > The recent update to autofs (autofs-4.1.4-26) says that it fixes this bug.
> > > Should the bug be closed?
> > 
> > Ya. I'll get to it.
> > I almost always leave tickets open for a time in case there's a
> > further problem.
> > 
> 
> Jeff can you verify that this is fixed.
> Any of FC-4, FC-5 or Rawhide should be fine now.

This was fixed quite a while ago.
If you discover otherwise reopen the bug.

Ian




Note You need to log in before you can comment on or make changes to this bug.